const { Component } = Shopware;
Component.override('sw-cms-el-config-product-listing', {
    computed: {
        boxLayoutOptions() {
            const parentOptions = this.$super('boxLayoutOptions');

            parentOptions.push(
                {
                    id: 4,
                    value: 'list',
                    label: this.$tc('extension.sw-cms.config.product-lisitng.bc-custom-list'),
                }
            );

            return parentOptions;
        }
    }
});
